Subject: Re: bug#31057: 27.0.50; Gnus: Make configurable what to show when selecting a group

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 12 Apr 2018 15:09:49 +0200

Michael Heerdegen <[email-masked]> writes:

> No, the doc clearly says
>
> | [...] Use `add-function' to set one or more custom filter functions.

I see.  I'm not familiar with the way nadvice works at all.  Have you
checked that the list of articles that's finally returned is the one you
expect?

>> (And then display, depending on whether you have other filters in
>> place).
>
> Hmm, the additional articles (articles with attached custom marks in my
> case) are not displayed for me.  AFAICT I have no filters enabled at
> all.  When the registry marked articles are "old" they are just not
> shown AFAICT.

Try edebugging through  gnus-select-newsgroup to see whether there's
anything there that removes the list you've returned (if you've returned
it. :-)).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no